{
  "name": "functions",
  "description": "Cloud Functions for Firebase",
  "scripts": {
    "build-firebase": "npm run lint && tsc",
    "lint": "eslint .",
    "serve-firebase": "tsc && concurrently \"tsc --watch\" \"npm run emulate-firebase\"",
    "emulate-firebase": "cross-env FIREBASE_AUTH_EMULATOR_HOST=localhost:9099 firebase emulators:start --import ./.emulator-data --export-on-exit ./.emulator-data",
    "shell": "tsc && concurrently \"tsc --watch\" \"firebase functions:shell\"",
    "start": "npm run shell",
    "deploy": "firebase deploy --only functions",
    "logs": "firebase functions:log"
  },
  "engines": {
    "node": "16"
  },
  "main": "lib/src/index.js",
  "dependencies": {
    "@zoomsense/zoomsense-firebase": "^1.1.0",
    "async-retry": "^1.3.3",
    "firebase-admin": "^9.10.0",
    "firebase-functions": "^3.22.0",
    "googleapis": "^52.1.0",
    "moment-timezone": "^0.5.31"
  },
  "devDependencies": {
    "@types/async-retry": "^1.4.4",
    "@typescript-eslint/eslint-plugin": "^5.28.0",
    "@typescript-eslint/parser": "^5.28.0",
    "concurrently": "^7.2.2",
    "cross-env": "^7.0.3",
    "eslint": "^8.19.0",
    "eslint-config-google": "^0.14.0",
    "firebase-functions-test": "^2.2.0",
    "firebase-tools": "10.2.2",
    "typescript": "^4.7.3"
  },
  "private": true
}
